Bug 1399546 (CVE-2015-9251) - CVE-2015-9251 js-jquery: Cross-site scripting via cross-domain ajax requests
Summary: CVE-2015-9251 js-jquery: Cross-site scripting via cross-domain ajax requests
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2015-9251
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 1591857 (view as bug list)
Depends On: 1399551 1399552 1812020 1812022 1812023 1399547 1399548 1399549 1399550 1399553 1399554 1399556 1447007 1447008 1447011 1812021
Blocks: 1399561 CVE-2017-16012
TreeView+ depends on / blocked
 
Reported: 2016-11-29 09:53 UTC by Andrej Nemec
Modified: 2020-05-18 10:46 UTC (History)
75 users (show)

Fixed In Version: jquery 3.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-31 01:53:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:0481 None None None 2020-02-12 15:26:53 UTC
Red Hat Product Errata RHSA-2020:0729 None None None 2020-03-05 13:12:58 UTC
Red Hat Product Errata RHSA-2020:0983 None None None 2020-03-26 15:47:13 UTC

Description Andrej Nemec 2016-11-29 09:53:29 UTC
jQuery is vulnerable to Cross-site Scripting (XSS) attacks when a cross-domain ajax request is performed without the dataType option causing text/javascript responses to be executed.

Upstream bug:

https://github.com/jquery/jquery/issues/2432

Upstream patch:

https://github.com/jquery/jquery/commit/b078a62013782c7424a4a61a240c23c4c0b42614

Comment 1 Andrej Nemec 2016-11-29 09:56:13 UTC
Created python-tw2-jquery tracking bugs for this issue:

Affects: fedora-all [bug 1399551]
Affects: epel-all [bug 1399552]

Comment 2 Andrej Nemec 2016-11-29 09:56:38 UTC
Created js-jquery tracking bugs for this issue:

Affects: fedora-all [bug 1399549]
Affects: epel-7 [bug 1399550]

Comment 3 Andrej Nemec 2016-11-29 09:56:56 UTC
Created js-jquery1 tracking bugs for this issue:

Affects: fedora-all [bug 1399547]
Affects: epel-7 [bug 1399548]

Comment 4 Andrej Nemec 2016-11-29 09:57:17 UTC
Created python-XStatic-jQuery tracking bugs for this issue:

Affects: fedora-all [bug 1399553]
Affects: epel-7 [bug 1399554]

Comment 5 Andrej Nemec 2016-11-29 09:57:36 UTC
Created rubygem-jquery-rails tracking bugs for this issue:

Affects: fedora-all [bug 1399556]

Comment 11 Tim Suter 2017-05-02 06:43:09 UTC
wontfixing openstack p2 products

Comment 12 James Hebden 2018-07-04 23:33:21 UTC
*** Bug 1591857 has been marked as a duplicate of this bug. ***

Comment 20 Tomas Jelinek 2020-02-07 16:18:43 UTC
Re: pcsd concerns - comment 17

All the ajax calls in pcsd are internal, i.e. pcsd is calling itself via ajax. Therefore, I do not think the vulnerability has any security impact.

Comment 21 errata-xmlrpc 2020-02-12 15:26:50 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 6.3

Via RHSA-2020:0481 https://access.redhat.com/errata/RHSA-2020:0481

Comment 22 errata-xmlrpc 2020-03-05 13:12:56 UTC
This issue has been addressed in the following products:

  Red Hat Data Grid 7.3.5

Via RHSA-2020:0729 https://access.redhat.com/errata/RHSA-2020:0729

Comment 24 errata-xmlrpc 2020-03-26 15:47:08 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.6.0

Via RHSA-2020:0983 https://access.redhat.com/errata/RHSA-2020:0983


Note You need to log in before you can comment on or make changes to this bug.